@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;500;600;700&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Abhaya+Libre:wght@500&family=Aclonica&family=Agbalumo&family=Akaya+Telivigala&family=Alegreya:wght@600&family=Allura&family=Bakbak+One&family=Bellota:wght@700&family=DM+Sans:opsz@9..40&family=Great+Vibes&family=IBM+Plex+Mono:wght@700&family=IBM+Plex+Sans+Condensed:wght@700&family=Italianno&family=Kaushan+Script&family=Metal+Mania&family=Open+Sans&family=Oswald:wght@700&family=Pacifico&family=Parisienne&family=Poppins:wght@300&family=Princess+Sofia&family=Sacramento&family=WindSong:wght@400;500&display=swap');

*{
    margin:0;
    padding: 0;
    box-sizing: border-box;
    scroll-behavior:smooth ;
}
body{
    width: 100%;
    --nav:#FFCB00;
    /* --nav:#354f52; */
    --primary:#072331;
    /* --body:#000;
    --text:#fff; */
    --body:#fff;
    --text:#000;
    --toggleborder:#ffffff61;
    --navtext:#000;
    --red:#bd3253;
    --green:#499932;
    background-color: var(--body);
    overflow-x: hidden;
    overflow-y: scroll !important;
    transition: 0.3s background;
    /* transform: rotateZ(90deg); */
}
.toggle{
    /* --body:#fff;
    --text:#000; */
    --body:#000;
    --text:#fff;
    --toggleborder:#ffffff03;
}
.navbar{
    width: 100%;
    height: 70px;
    background-color: var(--nav);
    display: flex;
    /* background-image: linear-gradient(to left, rgb(22, 179, 214) 30%,white); */
    align-items: center;
    justify-content: space-between;
    top: 0%;
    position: sticky;
    z-index: 1000;
    overflow:hidden;
}
.sub-nav-elements{
    width: 100%;
    display: flex;
    justify-content: end;
    position: relative;
}
#toggleMode{
    border: 2px solid var(--toggleborder);
    color: var(--text);
    padding: 4px;
    border-radius: 5px;
    position: sticky;
    right: 120px;
    cursor: pointer;
}
.Medium{
    padding: 5px; 
    background-color: #FFCB00;
    position: sticky;
    top: 70px;
    right: 20px;
}
.navbar ul{
    display: flex;
    align-items: center;
    justify-content: center;
}
.navbar ul li{
    list-style-type: none;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 30px;
    position: relative;
    top:15px;
}
.navbar ul li .anchorTag{
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--navtext);
    text-decoration: none;
    font-size: 22px;
    /* font-family: 'Bakbak One'; */
    font-family: 'Montserrat';
    font-weight: 600;
    /* font-style:italic ;  */
}
.navbar ul li .activeEffect{
    width: 100%;
    height: 65px;
    padding: 0 30px;
    position: relative;
    /* top: 15px; */
    background-color: var(--body);
    color: var(--text);
    border-radius: 10px 10px 0 0;
}

nav ul li .activeEffect:before,
nav ul li .activeEffect:after{
    content: '';
    position: absolute;
    background-color:transparent;
    width: 20px;
    aspect-ratio: 1;
}
nav ul li .activeEffect:before{
    inset: 35px 0 0 -20px;
    border-radius: 0 0 10px 0;
    box-shadow: 9px 10px /*#fff*/ var(--body);
}
nav ul li .activeEffect::after{
    inset: 35px 0 0 100%;
    border-radius: 0 0 0 10px;
    box-shadow: -10px 10px /*#fff*/ var(--body);
}
.Icons{
    margin-right:5px;
}
.hamburger{
    display:none;
}
.chapters{
    width: 1000px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: "Open Sans";
    margin-top: 10px;
}
.chapters .Label{
    margin-right: 10px;
}
.ManipulateBook {
    margin: 0;
    width: 100%;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.goTo{
    display:none;
}
.pagno {
    font-size:10px;
    text-wrap:no-wrap;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    margin-right: 10px;
}

.inputbox {
    width: 60px;
    height: 20px;
}

@media (max-width:1000px) {
    .navbar{
        height:40px;
    }
    .Logo{
        width:40px !important;
    }
    .heading{
        font-size: 2rem;
    }
    .highlight{
        font-size: 2.1rem;
    }
    .WrapperLogin{
        transform: scale(0.8);
    }
    .navbar .ul{
        width: 97vw;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        position: absolute;
        background: linear-gradient(135deg, #FFCB00,#e6a017);
        top: -900px;
        width: 100vw;
        padding:10px;
        transition: 0.7s ease-in-out;
        z-index:100002;
    }
    nav ul li .activeEffect:before,
    nav ul li .activeEffect:after{
        display:none;
    }
    .navbar .nav_toggle{
        top: 40px;
    }
    .navbar{
        overflow:visible;
    }
    .hamburger{
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction:column;
    }
    .line{
        width: 25px;
        height: 2px;
        background-color: #000;
        border-radius: 10px;
        z-index: 100;
        margin: 4px;
        position: relative;
        right: 20px;
        transition: opacity 0.2s , transform 0.5s;
    }
    .toggleLine1 {
        transform: translateY(9px) rotate(45deg);
    }
    .toggleLine2{
        opacity: 0;
    }
    .toggleLine3 {
        transform: translateY(-10px) rotate(-45deg);
    }
    .accuraNavigation,.content{
        font-size:0.8rem;
    }
    .footer{
        height:auto;
        flex-direction:column;
        text-align:center;
        margin:100px 0 0 0;
    }
     nav ul li .activeEffect,.anchorTag{
         padding:5px !important;
         height:20px !important;
     }
     .navbar ul li .activeEffect{
         background-color: transparent;
     }
     nav ul .Nav_Links{
         top:0;
         width:95vw;
         margin:5px;
         padding:5px;
         height:30px;
         border-top:1px solid #00000031;
     }
     .Nav_Links:nth-child(1){
         border-width:0px;
     }
}

